import ModelDictionary from "../Data/ModelDictionary.js";
export declare enum ContextAttributeKey {
    ChangeSource = "changeSource",
    LabelResizePosition = "labelResizePosition",
    DescriptionResizePosition = "descriptionResizePosition",
    FilterTerm = "filterTerm"
}
export interface IChangeSource {
    id: string;
    name: string;
}
export default class ContextAttributes extends ModelDictionary {
    get hasChangeSource(): boolean;
    get changeSource(): IChangeSource;
    set changeSource(value: IChangeSource);
    get labelResizePosition(): number;
    set labelResizePosition(value: number);
    get descriptionResizePosition(): number;
    set descriptionResizePosition(value: number);
    get filterTerm(): string;
    set filterTerm(value: string);
    deleteChangeSource(): void;
}
